Skip to main content
POST
/
api
/
v1
/
core
/
labels
curl --request POST \ --url https://api-stage.orchestro.ai/e1/api/v1/core/labels \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "sortOrder": "rate", "callerType": "WMS", "currency": "USD", "sendTNT": true, "sendAllServiceAttributes": true, "labelFormat": "PDF", "accounts": [ { "accountType": "SHIPPER", "accountNumber": "AC0088" }, { "accountType": "WMS", "accountNumber": "AC0077" } ], "shipmentDate": "2024-05-08T00:38:22Z", "parcels": [ { "quoteId": "", "serviceType": "GRD", "shipFrom": { "company": "Orchestro.ai", "name": "Tom Fiorita", "address1": "7137 Southlake Pkwy", "address2": "Suite B", "city": "Morrow", "state": "GA", "zip": "30260", "country": "US", "phone": "", "email": "", "addressType": "R" }, "parcelType": "P", "weight": { "unit": "lb", "value": 0.09 }, "serviceAttributes": [], "shipDate": "2024-05-13T00:38:22", "pickupType": "Pickup", "shipTo": { "company": "", "name": "Matt Murray", "address1": "921 McLean ave, apt E7", "address2": "", "city": "Yonkers", "state": "NY", "zip": "10704", "country": "US", "phone": "", "email": "", "addressType": "R" }, "dimensions": { "unit": "inch", "length": 4, "width": 1, "height": 1 } } ] } '
{ "currency": "USD", "parcels": [ { "quoteId": "9494733d-c000-4392-93c9-a06b9d733c60", "shipDate": "2024-05-13T00:38:22", "serviceType": "GRD", "pickupType": "Pickup", "parcelType": "P", "shipFrom": { "company": "Orchestro.ai", "name": "Tom Fiorita", "address1": "7137 Southlake Pkwy", "address2": "Suite B", "city": "Morrow", "state": "GA", "zip": "30260", "country": "US", "phone": "", "email": "", "addressType": "R" }, "shipTo": { "company": "", "name": "Matt Murray", "address1": "921 McLean ave, apt E7", "address2": "", "city": "Yonkers", "state": "NY", "zip": "10704", "country": "US", "phone": "", "email": "", "addressType": "R" }, "weight": { "unit": "lb", "value": 0.09 }, "dimensions": { "unit": "inch", "length": 4, "width": 1, "height": 1 }, "rates": [ { "zone": 6, "serviceType": "GRD", "tnt": "3 - 7 days", "baseRate": 7.06, "totalRate": 7.41, "totalDiscount": 1.2, "baseRateDiscount": 0, "surcharges": [ { "rate": 3, "discount": 0, "code": "Pick", "description": "Pick Up Charges" }, { "rate": 0.75, "discount": 0, "code": "PEAK", "description": "Carrier Peak Surcharge" }, { "rate": 2, "discount": 0, "code": "DDAS", "description": "Delivery Area Surcharge" }, { "rate": 0.29, "discount": 0, "code": "FUEL", "description": "Fuel Surcharge" } ], "serviceAttributes": [ { "key": "POD_RQD", "rate": 5, "discount": 0.1, "available": true } ] } ], "labels": { "id": "PK5MZNF7", "createdDate": "2024/09/17 22:37:57", "labelUrl": "https://ocn-stage-e1-files.s3.amazonaws.com/PK5MZNF7.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20240917T223757Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604799&X-Amz-Credential=AKIAXLQKESR5BTU3KJX3%2F20240917%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=3203bd09d0b11e16602131cedff412adc3c414f09d81541cade4ed2e3ae4f96c", "labelDate": "2024/09/17 22:37:57", "sortCode": "KEARNY", "labelFormat": "PDF" } } ] }

Authorizations

Authorization
string
header
required

Body

application/json

This endpoint accepts a JSON request body that contains account details, caller type, currency, label format, and parcel information.

fulfilmentNode
string
required

The identifier of the fulfilment node processing the shipment.

Example:

"NODE123"

accounts
object[]

A list of accounts requesting the shipping labels.

Example:
[
  {
    "accountNumber": "AC0088",
    "accountType": "SHIPPER"
  },
  {
    "accountNumber": "AC0077",
    "accountType": "WMS"
  }
]
callerType
string

The type of caller initiating the request, such as SHIPPER or WMS.

Example:

"WMS"

currency
string

The currency in which the transaction is carried out.

Example:

"USD"

labelFormat
string

The format of the generated label (e.g., PDF or ZPL).

Example:

"PDF"

parcels
object[]

A list of parcels being shipped, including dimensions, references, and other parcel-specific data.

sendAllServiceAttributes
boolean

Whether to send all service attributes related to the shipment.

Example:

true

sendTNT
boolean

Whether to include TNT information for the shipment.

Example:

true

shipmentDate
string

The date and time when the shipment is planned to be made, in ISO 8601 format.

Example:

"2024-12-22T06:34:00"

sortOrder
string

The order in which shipment options should be sorted.

Example:

"rate"

Response

200 - application/json

All successful Label responses

currency
string
Example:

"USD"

parcels
object[]
Example:
[
  {
    "dimensions": {
      "height": 4,
      "length": 4,
      "unit": "inch",
      "width": 4
    },
    "labels": {
      "createdDate": "2024/09/25 09:42:32",
      "id": "P761NBH3",
      "labelDate": "2024/09/25 09:42:32",
      "labelFormat": "PNG",
      "labelUrl": "https://ocn-stage-e1-files.s3.amazonaws.com/P761NBH3.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20240925T094232Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604800&X-Amz-Credential=AKIAXLQKESR5BTU3KJX3%2F20240925%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=7ff0d7c855edb5436d282468c40e82f075da4926b01608158e6937d475018b1f",
      "sortCode": "KEARNY"
    },
    "parcelType": "P",
    "pickupType": "Pickup",
    "quoteId": "301312f9-500a-4e6a-8976-aad12db55e8c",
    "reference1": "testRef1",
    "reference2": "testRef2",
    "referenceId": "testRefId",
    "serviceType": "GRD",
    "shipDate": "2024-08-22T06:34:00",
    "shipFrom": {
      "address1": "1500 Marilla Street",
      "address2": "",
      "addressType": "B",
      "city": "Dallas",
      "company": "Dallas City Hall",
      "country": "US",
      "email": "",
      "name": "The City Secretary's Office",
      "phone": "",
      "state": "TX",
      "zip": "75201"
    },
    "shipTo": {
      "address1": "210 Joralemon St",
      "address2": "",
      "addressType": "B",
      "city": "Brooklyn",
      "company": "Municipal Building",
      "country": "US",
      "email": "",
      "name": "Brooklyn Municipal Building",
      "phone": "212-669-8090",
      "state": "NY",
      "zip": "11201"
    },
    "weight": { "unit": "lb", "value": 6 }
  }
]
zplEncoded
string
Example:

"false"